Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties
Class WsrpConstants

    java.lang.Object
      org.apache.muse.ws.resource.properties.WsrpConstants

public class WsrpConstants
extends java.lang.Object

WsrpConstants is a collection of properties and methods that is useful when programming against the WS-ResourceProperties spec. This class uses WS-RP v1.2.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `DEFAULT_DOCUMENT_QNAME` A default root element name for WS-RP documents.
`static QName` | `DELETE_QNAME`
`static java.lang.String` | `DIALECT`
`static java.lang.String` | `GET_CAPABILITY`
`static QName` | `GET_DOCUMENT_QNAME`
`static QName` | `GET_DOCUMENT_RESPONSE_QNAME`
`static java.lang.String` | `GET_MULTIPLE_PROPERTIES_URI` The WS-A Action URI for the GetMultipleResourceProperties operation.
`static QName` | `GET_MULTIPLE_QNAME`
`static QName` | `GET_MULTIPLE_RESPONSE_QNAME`
`static QName` | `GET_QNAME`
`static java.lang.String` | `GET_RESOURCE_PROPERTY_URI` The WS-A Action URI for the GetResourceProperty operation.
`static QName` | `GET_RESPONSE_QNAME`
`static java.lang.String` | `GET_RP_DOCUMENT_URI` The WS-A Action URI for the GetResourcePropertyDocument operation.
`static QName` | `INSERT_QNAME`
`static QName` | `INVALID_MODIFICATION_QNAME`
`static QName` | `INVALID_PROPERTY_QNAME`
`static QName` | `INVALID_QUERY_QNAME`
`static java.lang.String` | `NAMESPACE_URI`
`static QName` | `NEW_VALUES_QNAME` WS-RP/WS-N change notification - new value element name.
`static QName` | `NOTIFICATION_QNAME` WS-RP/WS-N change notification - root element name.
`static QName` | `OLD_VALUES_QNAME` WS-RP/WS-N change notification - old value element name.
`static java.lang.String` | `PREFIX`
`static QName` | `PROPERTY_QNAME`
`static QName` | `PUT_DOCUMENT_QNAME`
`static java.lang.String` | `PUT_RP_DOCUMENT_URI` The WS-A Action URI for the PutResourcePropertyDocument operation.
`static java.lang.String` | `QUERY_CAPABILITY`
`static QName` | `QUERY_DIALECT_QNAME`
`static QName` | `QUERY_EVALUATION_ERROR_QNAME`
`static QName` | `QUERY_EXPRESSION_QNAME`
`static QName` | `QUERY_QNAME`
`static java.lang.String` | `QUERY_RESOURCE_PROPERTIES_URI` The WS-A Action URI for the QueryResourceProperties operation.
`static QName` | `QUERY_RESPONSE_QNAME`
`static java.lang.String` | `RESOURCE_PROPERTIES` The WS-RP attribute for WSDL portTypes.
`static java.lang.String` | `RESOURCE_PROPERTY`
`static java.lang.String` | `SET_CAPABILITY`
`static QName` | `SET_QNAME`
`static java.lang.String` | `SET_RESOURCE_PROPERTIES_URI` The WS-A Action URI for the SetResourceProperties operation.
`static QName` | `SET_RESPONSE_QNAME`
`static QName` | `SET_RP_FAILED_QNAME`
`static java.lang.String` | `TOPIC_SPACE_NAME` The standard WS-RP TopicSpace name.
`static QName` | `UNABLE_TO_MODIFY_QNAME`
`static QName` | `UNABLE_TO_PUT_RP_QNAME`
`static QName` | `UNKNOWN_QUERY_DIALECT_QNAME`
`static QName` | `UPDATE_QNAME`
`static java.lang.String` | `WSDL_NAMESPACE_URI`
`static java.lang.String` | `WSDL_PREFIX`

Constructor Summary
`WsrpConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### WSDL_NAMESPACE_URI

    public static final java.lang.String WSDL_NAMESPACE_URI

See Also:
  Constant Field Values

### WSDL_PREFIX

    public static final java.lang.String WSDL_PREFIX

See Also:
  Constant Field Values

### GET_CAPABILITY

    public static final java.lang.String GET_CAPABILITY

See Also:
  Constant Field Values

### SET_CAPABILITY

    public static final java.lang.String SET_CAPABILITY

See Also:
  Constant Field Values

### QUERY_CAPABILITY

    public static final java.lang.String QUERY_CAPABILITY

See Also:
  Constant Field Values

### DEFAULT_DOCUMENT_QNAME

    public static final QName DEFAULT_DOCUMENT_QNAME

  A default root element name for WS-RP documents.

### DELETE_QNAME

    public static final QName DELETE_QNAME

### DIALECT

    public static final java.lang.String DIALECT

See Also:
  Constant Field Values

### GET_DOCUMENT_QNAME

    public static final QName GET_DOCUMENT_QNAME

### GET_DOCUMENT_RESPONSE_QNAME

    public static final QName GET_DOCUMENT_RESPONSE_QNAME

### GET_MULTIPLE_PROPERTIES_URI

    public static final java.lang.String GET_MULTIPLE_PROPERTIES_URI

  The WS-A Action URI for the GetMultipleResourceProperties operation.

  See Also:
    Constant Field Values

### GET_MULTIPLE_QNAME

    public static final QName GET_MULTIPLE_QNAME

### GET_MULTIPLE_RESPONSE_QNAME

    public static final QName GET_MULTIPLE_RESPONSE_QNAME

### GET_QNAME

    public static final QName GET_QNAME

### GET_RESOURCE_PROPERTY_URI

    public static final java.lang.String GET_RESOURCE_PROPERTY_URI

  The WS-A Action URI for the GetResourceProperty operation.

  See Also:
    Constant Field Values

### GET_RESPONSE_QNAME

    public static final QName GET_RESPONSE_QNAME

### GET_RP_DOCUMENT_URI

    public static final java.lang.String GET_RP_DOCUMENT_URI

  The WS-A Action URI for the GetResourcePropertyDocument operation.

  See Also:
    Constant Field Values

### INSERT_QNAME

    public static final QName INSERT_QNAME

### INVALID_MODIFICATION_QNAME

    public static final QName INVALID_MODIFICATION_QNAME

### INVALID_PROPERTY_QNAME

    public static final QName INVALID_PROPERTY_QNAME

### INVALID_QUERY_QNAME

    public static final QName INVALID_QUERY_QNAME

### NEW_VALUES_QNAME

    public static final QName NEW_VALUES_QNAME

  WS-RP/WS-N change notification - new value element name.

### NOTIFICATION_QNAME

    public static final QName NOTIFICATION_QNAME

  WS-RP/WS-N change notification - root element name.

### OLD_VALUES_QNAME

    public static final QName OLD_VALUES_QNAME

  WS-RP/WS-N change notification - old value element name.

### PROPERTY_QNAME

    public static final QName PROPERTY_QNAME

### PUT_DOCUMENT_QNAME

    public static final QName PUT_DOCUMENT_QNAME

### PUT_RP_DOCUMENT_URI

    public static final java.lang.String PUT_RP_DOCUMENT_URI

  The WS-A Action URI for the PutResourcePropertyDocument operation.

  See Also:
    Constant Field Values

### QUERY_DIALECT_QNAME

    public static final QName QUERY_DIALECT_QNAME

### QUERY_EVALUATION_ERROR_QNAME

    public static final QName QUERY_EVALUATION_ERROR_QNAME

### QUERY_EXPRESSION_QNAME

    public static final QName QUERY_EXPRESSION_QNAME

### QUERY_QNAME

    public static final QName QUERY_QNAME

### QUERY_RESOURCE_PROPERTIES_URI

    public static final java.lang.String QUERY_RESOURCE_PROPERTIES_URI

  The WS-A Action URI for the QueryResourceProperties operation.

  See Also:
    Constant Field Values

### QUERY_RESPONSE_QNAME

    public static final QName QUERY_RESPONSE_QNAME

### RESOURCE_PROPERTIES

    public static final java.lang.String RESOURCE_PROPERTIES

  The WS-RP attribute for WSDL portTypes.

  See Also:
    Constant Field Values

### RESOURCE_PROPERTY

    public static final java.lang.String RESOURCE_PROPERTY

See Also:
  Constant Field Values

### SET_QNAME

    public static final QName SET_QNAME

### SET_RESOURCE_PROPERTIES_URI

    public static final java.lang.String SET_RESOURCE_PROPERTIES_URI

  The WS-A Action URI for the SetResourceProperties operation.

  See Also:
    Constant Field Values

### SET_RESPONSE_QNAME

    public static final QName SET_RESPONSE_QNAME

### SET_RP_FAILED_QNAME

    public static final QName SET_RP_FAILED_QNAME

### TOPIC_SPACE_NAME

    public static final java.lang.String TOPIC_SPACE_NAME

  The standard WS-RP TopicSpace name.

  See Also:
    Constant Field Values

### UNABLE_TO_MODIFY_QNAME

    public static final QName UNABLE_TO_MODIFY_QNAME

### UNABLE_TO_PUT_RP_QNAME

    public static final QName UNABLE_TO_PUT_RP_QNAME

### UNKNOWN_QUERY_DIALECT_QNAME

    public static final QName UNKNOWN_QUERY_DIALECT_QNAME

### UPDATE_QNAME

    public static final QName UPDATE_QNAME

Constructor Detail

### WsrpConstants

    public WsrpConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD